/*==============================================================*/
/* DBMS name:      MySQL 5.0                                    */
/* Created on:     2019/8/2 17:04:52                            */
/*==============================================================*/


drop table if exists emt_apply;

drop table if exists emt_bus_address_book;

drop table if exists emt_child_navi_content;

drop table if exists emt_deve_course;

drop table if exists emt_home_background;

drop table if exists emt_home_scroll_img;

drop table if exists emt_honor_cert;

drop table if exists emt_navi_menu;

drop table if exists emt_navi_menu_pic;

drop table if exists emt_new;

drop table if exists emt_new_type;

drop table if exists emt_recruitment;

drop table if exists sys_config;

drop table if exists sys_img_record;

drop table if exists sys_macro;

drop table if exists sys_menu;

drop table if exists sys_role;

drop table if exists sys_role_menu;

drop table if exists sys_user;

drop table if exists sys_user_role;

/*==============================================================*/
/* Table: emt_apply                                             */
/*==============================================================*/
create table emt_apply
(
   apply_id             int(11) not null auto_increment comment '编号',
   recruitment_id       int(11) comment '招聘id',
   apply_cus_name       varchar(64) comment '应聘人姓名',
   apply_cus_email      varchar(64) comment '应聘人邮箱',
   apply_cus_phone      varchar(64) comment '应聘人电话',
   apply_cus_resume     varchar(256) comment '应聘人简历文件下载地址',
   sort_order           int(11) comment '排序',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (apply_id)
)
auto_increment = 1;

alter table emt_apply comment '应聘表';

/*==============================================================*/
/* Table: emt_bus_address_book                                  */
/*==============================================================*/
create table emt_bus_address_book
(
   bus_address_book_id  int(11) not null auto_increment comment '编号',
   bus_name             varchar(64) character set utf8 comment '公司名称',
   bus_address          varchar(10000) character set utf8 comment '公司地址',
   bus_tel              varchar(22) comment '公司联系电话',
   bus_email            varchar(64) comment '公司电子邮箱',
   bus_longitude        varchar(64) comment '公司地址经度',
   bus_latitude         varchar(64) comment '公司地址纬度',
   sort_order           int(11) comment '排序',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (bus_address_book_id)
)
auto_increment = 1;

alter table emt_bus_address_book comment '公司通讯录表';

/*==============================================================*/
/* Table: emt_child_navi_content                                */
/*==============================================================*/
create table emt_child_navi_content
(
   child_navi_content_id int(11) not null auto_increment comment '编号',
   navi_menu_id         int(11) comment '首页导航栏菜单id（只包括e码头、业务中心、支持与服务的子菜单）',
   child_navi_content   varchar(10000) character set utf8 comment '展示内容',
   sort_order           int(11) comment '排序',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (child_navi_content_id)
)
auto_increment = 1;

alter table emt_child_navi_content comment '官网子级导航栏内容展示表（包括菜单e码头、业务中心、支持与服务）';

/*==============================================================*/
/* Table: emt_deve_course                                       */
/*==============================================================*/
create table emt_deve_course
(
   deve_course_id       int(11) not null auto_increment comment '编号',
   deve_course_year     varchar(22) comment '历程年份',
   deve_course_content  varchar(10000) character set utf8 comment '发展历程内容描述',
   sort_order           int(11) comment '排序',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (deve_course_id)
)
auto_increment = 1;

alter table emt_deve_course comment '发展历程表';

/*==============================================================*/
/* Table: emt_home_background                                   */
/*==============================================================*/
create table emt_home_background
(
   home_backg_id        int(11) not null auto_increment comment '编号',
   home_backg_url       varchar(225) character set utf8 comment '背景图片url',
   home_backg_name      varchar(64) character set utf8 comment '背景图片名称',
   home_backg_content   varchar(10000) character set utf8 comment '背景图片内容',
   sort_order           int(11) comment '排序',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (home_backg_id)
)
auto_increment = 1;

alter table emt_home_background comment '官网首页背景图内容表';

/*==============================================================*/
/* Table: emt_home_scroll_img                                   */
/*==============================================================*/
create table emt_home_scroll_img
(
   home_scroll_img_id   int(11) not null auto_increment comment '编号',
   home_scroll_img_type char(2) comment '0 轮播展示 1 小图展示',
   home_scroll_img_url  varchar(225) character set utf8 comment '轮播图url',
   home_scroll_img_name varchar(64) character set utf8 comment '轮播图名称',
   home_scroll_img_content varchar(10000) character set utf8 comment '轮播图内容',
   sort_order           int(11) comment '排序',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (home_scroll_img_id)
)
auto_increment = 1;

alter table emt_home_scroll_img comment '官网首页轮播图表';

/*==============================================================*/
/* Table: emt_honor_cert                                        */
/*==============================================================*/
create table emt_honor_cert
(
   honor_cert_id        int(11) not null auto_increment comment '编号',
   honor_cert_year      varchar(22) comment '资质年份',
   honor_cert_url       varchar(256) character set utf8 comment '荣誉资质图片',
   sort_order           int(11) comment '排序',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (honor_cert_id)
)
auto_increment = 1;

alter table emt_honor_cert comment '荣誉资质表';

/*==============================================================*/
/* Table: emt_navi_menu                                         */
/*==============================================================*/
create table emt_navi_menu
(
   navi_menu_id         int(11) not null auto_increment comment '编号',
   parent_navi_menu_id  int(11) comment '父级菜单id',
   navi_menu_type       char(2) comment '菜单类型 1: 父级，2：子级',
   navi_menu_url        varchar(225) character set utf8 comment '菜单url',
   navi_menu_name       varchar(64) character set utf8 comment '菜单名称',
   child_menu_level     int(11) comment '子菜单等级',
   sort_order           int(11) comment '排序',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (navi_menu_id)
)
auto_increment = 1;

alter table emt_navi_menu comment '官网导航栏菜单表';

/*==============================================================*/
/* Table: emt_navi_menu_pic                                     */
/*==============================================================*/
create table emt_navi_menu_pic
(
   navi_menu_pic_id     int(11) not null auto_increment comment '编号',
   navi_menu_id         int(11) comment '导航栏菜单id',
   navi_menu_pic_url    varchar(64) character set utf8 comment '菜单展示图片url',
   sort_order           int(11) comment '排序',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (navi_menu_pic_id)
)
auto_increment = 1;

alter table emt_navi_menu_pic comment '官网菜单滚动图表';

/*==============================================================*/
/* Table: emt_new                                               */
/*==============================================================*/
create table emt_new
(
   new_id               int(11) not null auto_increment comment '编号',
   new_type_id          int(11) comment '新闻类型id',
   new_title            varchar(64) comment '新闻标题',
   new_content          varchar(10000) character set utf8 comment '新闻内容描述',
   is_hot               char(2) comment '是否热推 1：是，0：否',
   is_update_start_date char(2) comment '发布日期是否修改状态 1：是，0：否',
   new_link_type        char(2) comment '新闻链接类型 1：普通编辑 2：外部链接',
   link_url             varchar(500) comment '外部链接地址',
   sort_order           int(11) comment '排序',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   start_time           datetime comment '发布时间,yyyy-MM-dd HH:mm:ss',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (new_id)
)
auto_increment = 1;

alter table emt_new comment '新闻表';

/*==============================================================*/
/* Table: emt_new_type                                          */
/*==============================================================*/
create table emt_new_type
(
   new_type_id          int(11) not null auto_increment comment '编号',
   new_type_name        varchar(22) comment '新闻类型名称',
   sort_order           int(11) comment '排序',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (new_type_id)
)
auto_increment = 1;

alter table emt_new_type comment '新闻类型表';

/*==============================================================*/
/* Table: emt_recruitment                                       */
/*==============================================================*/
create table emt_recruitment
(
   recruitment_id       int(11) not null auto_increment comment '编号',
   recruitment_name     varchar(256) comment '岗位名称',
   job_address          varchar(64) comment '工作地点',
   experience_year      varchar(64) comment '经验要求',
   education_cotent     varchar(64) comment '学历要求',
   recruitment_num      int(11) comment '招聘人数',
   position_state       varchar(10000) default '0' comment '岗位职责',
   entry_require        varchar(5000) comment '入职要求',
   sort_order           int(11) comment '排序',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (recruitment_id)
)
auto_increment = 1;

alter table emt_recruitment comment '招聘表';

/*==============================================================*/
/* Table: sys_config                                            */
/*==============================================================*/
create table sys_config
(
   id                   int(11) not null auto_increment comment '编号',
   config_key           varchar(50)  comment 'key',
   config_value         varchar(2000) comment 'value',
   config_status        tinyint(4) default 1 comment '状态   0：隐藏   1：显示',
   remark               varchar(500) default NULL comment '备注',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (id),
   unique key (config_key)
)
auto_increment = 1;

alter table sys_config comment '系统配置信息表';

/*==============================================================*/
/* Table: sys_img_record                                        */
/*==============================================================*/
create table sys_img_record
(
   sys_img_record_id    int(11) not null auto_increment comment '编号',
   img_resource         char(2) default NULL comment '图片来源 1：官网菜单滚动图，2：官网首页滚动图，3：官网首页背景图，4：荣誉资质图',
   img_url              varchar(1000) character set utf8 comment '图片url',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (sys_img_record_id)
)
auto_increment = 1;

alter table sys_img_record comment '上传图片记录表';

/*==============================================================*/
/* Table: sys_macro                                             */
/*==============================================================*/
create table sys_macro
(
   id                   int(11) not null auto_increment comment '编号',
   parent_id            int(11) default NULL comment '父级id',
   name                 varchar(50) default NULL comment '名称',
   value                varchar(2000) default NULL comment '值',
   status               tinyint(4) default 1 comment '状态，0：隐藏   1：显示',
   type                 tinyint(20) default NULL comment '类型,0:目录，1:参数配置',
   order_num            int(11) default NULL comment '排序',
   remark               varchar(500) default NULL comment '备注',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (id)
)
auto_increment = 1;

alter table sys_macro comment '通用字典表';

/*==============================================================*/
/* Table: sys_menu                                              */
/*==============================================================*/
create table sys_menu
(
   menu_id              int(11) not null auto_increment comment '编号',
   parent_id            int(11) default NULL comment '父菜单ID，一级菜单为0',
   menu_name            varchar(200) comment '菜单别名',
   menu_url             varchar(200) default NULL comment '菜单URL',
   component            varchar(200) comment '菜单映射',
   menu_title           varchar(50) default NULL comment '菜单名称',
   icon                 varchar(50) default NULL comment '菜单图标',
   type                 int(11) default NULL comment '类型   0：目录   1：菜单   2：功能',
   func_ename           varchar(50) comment '功能简称',
   func_name            varchar(50) comment '功能名称',
   perms                varchar(500) default NULL comment '授权(多个用逗号分隔，如：user:list,user:create)',
   order_num            int(11) default NULL comment '排序',
   is_valid             int(1) default NULL comment '状态 0：否 1：是',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (menu_id)
)
auto_increment = 1;

alter table sys_menu comment '系统菜单表';

/*==============================================================*/
/* Table: sys_role                                              */
/*==============================================================*/
create table sys_role
(
   role_id              int(11) unsigned not null auto_increment comment '编号',
   role_name            varchar(100) default NULL comment '角色名称',
   remark               varchar(100) default NULL comment '备注',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (role_id)
)
auto_increment = 1;

alter table sys_role comment '角色表';

/*==============================================================*/
/* Table: sys_role_menu                                         */
/*==============================================================*/
create table sys_role_menu
(
   id                   int(11) not null auto_increment comment '编号',
   role_id              int(11) default NULL comment '角色ID',
   menu_id              int(11) default NULL comment '菜单ID',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (id)
)
auto_increment = 1;

alter table sys_role_menu comment '角色与菜单对应关系';

/*==============================================================*/
/* Table: sys_user                                              */
/*==============================================================*/
create table sys_user
(
   user_id              int(11) not null auto_increment comment '编号',
   username             varchar(50) not null comment '用户名',
   password             varchar(100) default NULL comment '密码',
   is_valid             char(2) character set utf8 comment '是否有效 1：是，0：否',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (user_id),
   unique key username (username)
)
auto_increment = 1;

alter table sys_user comment '系统用户表';

/*==============================================================*/
/* Table: sys_user_role                                         */
/*==============================================================*/
create table sys_user_role
(
   id                   int(11) not null auto_increment comment '编号',
   user_id              int(11) default NULL comment '用户ID',
   role_id              int(11) default NULL comment '角色ID',
   creater_sn           varchar(22) comment '创建人编号',
   create_time          datetime comment '创建时间,yyyy-MM-dd HH:mm:ss',
   moder_sn             varchar(22) comment '修改人编号',
   mod_time             datetime comment '修改时间,yyyy-MM-dd HH:mm:ss',
   tstm                 TIMESTAMP default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '时间戳',
   primary key (id)
)
auto_increment = 1;

alter table sys_user_role comment '用户与角色对应关系';

